> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/revert-selection-styling.md).

# How to revert to old annotation selection styling (version 7.2 and earlier)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

The styling of the annotation selection and control points have been updated in version 7.3. The main updates are:

* When an annotation is too small, there will be some extra padding given, so it can be selected easily.
* The selection lines are no longer dashed
* The Control Points outline style has been changed from dashed line to solid line
* The Control Points outline color has been changed from `#418cfc` to `#3183c8`
* The Control Handle has been updated from the white circle to a blue circle
* There is a small shadow given to Control Handles

![](https://3532544125-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FX9YnTSKIHvV7m0A36LbO%2Fuploads%2Fgit-blob-02082efd60a2c3a937c1140aa116300ad9f7da27%2F5d1337b7dc649fa49279325e8d1cafcd83a07371-561x281.png?alt=media)

If you want to use the selection style from version 7.2 and earlier, you can update the following properties:

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
WebViewer(...)
    .then(function(instance) {
      const { Annotations } = instance;

      // selection model outline adjustment
      Annotations.SelectionModel.useDashedLine = true;
      Annotations.SelectionModel.selectionOutlineThickness = 2;
      Annotations.SelectionModel.defaultSelectionOutlineColor = new Annotations.Color(65, 140, 252);
      
      // control handle adjustment
      Annotations.ControlHandle.handleWidth = 12;
      Annotations.ControlHandle.handleHeight = 12;
      Annotations.ControlHandle.color = new Annotations.Color(255, 255, 255);;
      Annotations.ControlHandle.outlineColor = new Annotations.Color(65, 140, 252);

      // do not show extra padding when selected annotation is too small
      Annotations.SelectionModel.selectionOutlineExtraPadding = 0;
  });
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/faq/revert-selection-styling.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
